Subject: Re: bug#66416: 29.1; Crashes when visiting HELLO file with pgtk on Wayland

From: Po Lu <[email-masked]>
Date: Mon, 09 Oct 2023 18:31:58 +0800

Yuchen Guo <[email-masked]> writes:

> Emacs occasionally crashes when displaying multi-lingual text.  It has
> crashed several times in the last few days, such as visiting HELLO file
> or browsing a web page with eww.  Sometime it crashes immediately when
> the HELLO file is visited,  other times it crashes when I scroll the
> screen.
>
> Worth mentioning is that, to deal with font fallback, I have configured
> a custom fontset:
>   https://codeberg.org/m0p/dotfiles/raw/commit/62d1a6008c0e391a33239a809aee92e4c03f14b5/imports/not-nix-config-files/emacs-init.el
>
>
> I can not reliably reproduce the crash. In most cases, the text in HELLO
> would be displayed with a delay.  The backtrace is the following:
>
> Backtrace:
> /bin/emacs(emacs_backtrace+0x48)[0x57e268]
> /bin/emacs(terminate_due_to_signal+0x8b)[0x46814b]
> /bin/emacs[0x4686ac]
> /bin/emacs[0x57c1c8]
> /bin/emacs[0x57c24c]
> /lib/libc.so.6(+0x38d30)[0x6593484e9d30]
> /bin/emacs[0x68912d]
> /bin/emacs[0x689521]
> /bin/emacs[0x6b76df]
> /bin/emacs[0x6b9cfa]
> /bin/emacs[0x4cb024]
> /bin/emacs(gui_write_glyphs+0x91)[0x4cd7b1]
> /bin/emacs[0x47343f]
> /bin/emacs[0x479694]
> /bin/emacs[0x47b183]
> /bin/emacs(update_frame+0x1cb)[0x47b37b]
> /bin/emacs[0x4c2e07]
> /bin/emacs(read_char+0xe60)[0x56b9a0]
> /bin/emacs[0x56e046]
> /bin/emacs[0x570006]
> /bin/emacs(internal_condition_case+0x5f)[0x5eb85f]
> /bin/emacs(command_loop_2+0x26)[0x55b376]
> /bin/emacs(internal_catch+0x33)[0x5eb7c3]
> /bin/emacs[0x55b311]
> /bin/emacs(recursive_edit_1+0x9b)[0x55fbbb]
> /bin/emacs(Frecursive_edit+0xdf)[0x55ff3f]
> /bin/emacs(main+0x1faf)[0x47174f]
> /lib/libc.so.6(+0x23ace)[0x6593484d4ace]
> /lib/libc.so.6(__libc_start_main+0x89)[0x6593484d4b89]
> /bin/emacs(_start+0x25)[0x471d45]
> Process 5932 (.emacs-29.1-wra) of user 1001 dumped core.
> emacs.service: Main process exited, code=dumped, status=11/SEGV
> systemd[5840]: emacs.service: Failed with result 'core-dump'.

Thanks, but the backtrace you have provided is of no use to us, as
should have been apparent from the absence of information within.
Please follow the steps illustrated within (emacs)Crashing to transform
it into a complete backtrace incorporating both symbol information and
line numbers.